1.15.2 Application Failed to Initialize

The place to discuss linux version of MakeMKV
Post Reply
xr200
Posts: 54
Joined: Tue Nov 10, 2015 3:11 am

1.15.2 Application Failed to Initialize

Post by xr200 » Wed Jul 22, 2020 7:35 pm

Running CentOS 7. I just downloaded and built Makemkv 1.15.2, and when I started the application, I get a popup saying
"The Application failed to initialize." I went back and rebuilt 1.15.1, and it's working fine.

I need some help/guidance please on what to do to upgrade to 1.15.2.

mike admin
Posts: 3859
Joined: Wed Nov 26, 2008 2:26 am
Contact:

Re: 1.15.2 Application Failed to Initialize

Post by mike admin » Wed Jul 22, 2020 7:42 pm

This means that you are using libmakemkv from 1.15.1 and makemkvcon from 1.15.2 . Somehow, the library was not updated.

xr200
Posts: 54
Joined: Tue Nov 10, 2015 3:11 am

Re: 1.15.2 Application Failed to Initialize

Post by xr200 » Wed Jul 22, 2020 8:09 pm

Yes, that's exactly what happened, but I don't know why (I am not a C++ coder).

makemkv-oss 1.1.5.2 does not compile for me on Centos 7. I saved the output to a log, and grepped "error:" out of the log,
and here's what I got:

/libmakemkv/inc/lgpl/stdstring.h:67:29: error: expected ‘,’ or ‘...’ befor./libmakemkv/inc/lgpl/stdstri./libmakemkv/inc/lgpl/./libmakemkv/inc/lgpl/stdstring.h:67:29: e
./libmakemkv/inc/lgpl/stdstring.h:67:29: error: expected ‘,’ or ‘...’ before ‘&&’ token
./libmakemkv/inc/lgpl/stdstring.h:67:37: error: invalid constructor; you probably meant ‘buf::string (const b
uf::string&)’
./libebml/inc/ebml/EbmlElement.h:387:118: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlBinary.h:80:19: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlBinary.cpp:45:32: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlBinary.cpp:51:30: error: ‘nullptr’ was not declared in this scope
./libmakemkv/inc/lgpl/stdstring.h:67:29: error: expected ‘,’ or ‘...’ before ‘&&’ token
./libmakemkv/inc/lgpl/stdstring.h:67:37: error: invalid constructor; you probably meant ‘buf::string (const b
uf::string&)’
./libebml/inc/ebml/EbmlElement.h:387:118: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlBinary.h:80:19: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlCrc32.h:105:50: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlCrc32.h:135:54: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlContexts.cpp:48:71: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlContexts.cpp:48:80: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlContexts.cpp:48:113: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlContexts.cpp:50:132: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlContexts.cpp:50:165: error: ‘nullptr’ was not declared in this scope
./libmakemkv/inc/lgpl/stdstring.h:67:29: error: expected ‘,’ or ‘...’ before ‘&&’ token
./libmakemkv/inc/lgpl/stdstring.h:67:37: error: invalid constructor; you probably meant ‘buf::string (const b
uf::string&)’
./libebml/inc/ebml/EbmlElement.h:387:118: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlBinary.h:80:19: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlCrc32.h:105:50: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/EbmlCrc32.h:135:54: error: ‘nullptr’ was not declared in this scope
./libebml/inc/ebml/MemIOCallback.h:54:3: error: looser throw specifier for ‘virtual libebml::MemIOCallback::~
MemIOCallback()’
./libebml/inc/ebml/IOCallback.h:54:11: error: overriding ‘virtual libebml::IOCallback::~IOCallback() throw
()’
libebml/src/EbmlCrc32.cpp:220:10: error: ‘Pad’ does not name a type
libebml/src/EbmlCrc32.cpp:221:9: error: ‘Pad’ was not declared in this scope
libebml/src/EbmlCrc32.cpp:221:16: error: ‘nullptr’ was not declared in this scope
libebml/src/EbmlCrc32.cpp:226:17: error: type ‘<type error>’ argument given to ‘delete’, expected pointer
./libmakemkv/inc/lgpl/stdstring.h:67:29: error: expected ‘,’ or ‘...’ before ‘&&’ token
./libmakemkv/inc/lgpl/stdstring.h:67:37: error: invalid constructor; you probably meant ‘buf::string (const b
uf::string&)’
./libebml/inc/ebml/EbmlElement.h:387:118: error: ‘nullptr’ was not declared in this scope
./libmakemkv/inc/lgpl/stdstring.h:67:29: error: expected ‘,’ or ‘...’ before ‘&&’ token

makemkv-oss 1.15.1 compiles cleanly, no problem.

I can provide the entire log file if that helps. Thanks!

mike admin
Posts: 3859
Joined: Wed Nov 26, 2008 2:26 am
Contact:

Re: 1.15.2 Application Failed to Initialize

Post by mike admin » Wed Jul 22, 2020 8:29 pm

Yes, this and configure.log to support@makemkv.com. Thanks!

xr200
Posts: 54
Joined: Tue Nov 10, 2015 3:11 am

Re: 1.15.2 Application Failed to Initialize

Post by xr200 » Wed Jul 22, 2020 9:45 pm

Requested logfiles were just sent to support@makemkv.com

Thank you!

xr200
Posts: 54
Joined: Tue Nov 10, 2015 3:11 am

[SOLVED] 1.15.2 Application Failed to Initialize

Post by xr200 » Thu Jul 23, 2020 11:12 pm

Per Mike's help, on my CentOS 7 system,
I configured makemkv-oss like this: (adding CFLAGS="-std=c++11")

CFLAGS="-std=c++11" ./configure

and makemkv compiled and ran just fine.

Thanks!

Analyst
Posts: 1
Joined: Thu Jul 23, 2020 9:24 pm

Re: 1.15.2 Application Failed to Initialize

Post by Analyst » Fri Jul 24, 2020 5:23 pm

Hello xr200,

I get the same error but this flag doesn't solve my problem. I use Xubuntu 20 Focal Fossa with Luks filesystem.
I also will send the logfile to makemkv-support.

barth36
Posts: 1
Joined: Wed Aug 12, 2020 1:48 am

Re: 1.15.2 Application Failed to Initialize

Post by barth36 » Wed Aug 12, 2020 1:55 am

Try this for Mint:

1) Uninstall 1.15.1

2) Run
sudo apt-get install build-essential pkg-config libc6-dev libssl-dev libexpat1-dev libavcodec-dev libgl1-mesa-dev qtbase5-dev zlib1g-dev

3) Run from makemkv-oss source package:
CFLAGS="-std=gnu++11" ./configure
make
sudo make install

4) Run from makemkv-bin source package:
make
sudo make install

Worked for me

khargy
Posts: 3
Joined: Sat Apr 13, 2013 10:06 pm

Re: 1.15.2 Application Failed to Initialize

Post by khargy » Sun Aug 16, 2020 3:46 pm

I'm still having issues installing version 1.15.2.

I'm on Ubuntu 16.04.7 LTS

I tried both:
CFLAGS="-std=c++11" ./configure
AND
CFLAGS="-std=gnu++11" ./configure

it seems like it compiles successfully but when I run "sudo make install" I get:

autoxxx/install-sh -c -D -m 644 out/libdriveio.so.0 /usr/lib/libdriveio.so.0
autoxxx/install-sh: invalid option: -D
Makefile:48: recipe for target 'install' failed
make: *** [install] Error 1

How do I unstall 1.15.1?

jvian1
Posts: 6
Joined: Thu May 19, 2016 1:09 am

Re: 1.15.2 Application Failed to Initialize

Post by jvian1 » Thu Oct 08, 2020 1:00 am

Don't need to uninstall.
I had the same issue with 1.15.3 on Fedora after using this for the past 4 years. 1.14.5 worked fine from an install a year ago, but I recently installed 1.15.3 and it failed with the same error.

Research revealed that I had duplicate library files in /usr/lib and /usr/lib64.

I deleted libmakemkv.so.1, libdriveio.so.0, and libmmbd.so.0 from both /usr/lib and /usr/lib64.
I then did a new "sudo make install" in both the makemkv-oss-1.15.3 directory and the makemkv-bin-1.15.3 directory and all was good.

Maybe the same will work for you.

Post Reply